#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Net;
using System.Text;



namespace PhoneApp3
{
    public class SalesInfoViewModel 
    {
        public SalesInfoViewModel()
        {
        }
        private ObservableCollection<SalesByYear> _SalesDetails = null;

        public ObservableCollection<SalesByYear> YearlySalesDetails
        {
            get
            {
                if (_SalesDetails == null)
                    return new SalesInfoRepository().GetSalesDetailsByYear(1);
                else
                    
                    return _SalesDetails;
            }
        }
      

        private ObservableCollection<SalesByDate> _DailySalesDetails = null;

        public ObservableCollection<SalesByDate> DailySalesDetails
        {
            get
            {
                if (_DailySalesDetails == null)
                    return new SalesInfoRepository().GetSalesDetailsByDay(2);
                else
                    return _DailySalesDetails;
            }

        }       

    }
}
